%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%%%        Proyecto final de carrera         %%%
%%%   - Francisco Cruz Fernandez             %%%
%%%   - Uppsala universitet                  %%%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%



%I0 es la imagen a segmentar.
%Este código resalta un poco los nucleos clasificados reduciendo un poco su
%brillo.


cont = 1;

res = I0(:,:,1);

for i=1:6:2304
    for j=1:6:3072
        
        if(Result(cont) == 1)
        
          for k=i:1:i+5
            for l=j:1:j+5
                
                res(k,l)= res(k,l)-1;

            end
          end
          
        end
        
        cont = cont + 1;
        
    end
end